## org.apache.fop.layout
Class LinkSet

    java.lang.Object
      |
      +--org.apache.fop.layout.LinkSet

public class LinkSet
extends java.lang.Object

a set of rectangles on a page that are linked to a common destination

Field Summary
`protected int` `endIndent`
`static int` `EXTERNAL`
`static int` `INTERNAL`
`protected int` `startIndent`

Constructor Summary
`LinkSet(java.lang.String destination, Area area, int linkType)`

Method Summary
`void` `addRect(java.awt.Rectangle r, LineArea lineArea)`
`void` `align()`
`void` `applyAreaContainerOffsets(AreaContainer ac, Area area)`
`Area` `getArea()`
`java.lang.String` `getDest()`
`int` `getEndIndent()`
`int` `getLinkType()`
`java.util.Vector` `getRects()`
`int` `getStartIndent()`
`void` `mergeLinks()`
`void` `setContentRectangleWidth(int contentRectangleWidth)`
`void` `setXOffset(int x)`
`void` `setYOffset(int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startIndent

    protected int startIndent

### endIndent

    protected int endIndent

### INTERNAL

    public static final int INTERNAL

### EXTERNAL

    public static final int EXTERNAL

Constructor Detail

### LinkSet

    public LinkSet(java.lang.String destination,
                   Area area,
                   int linkType)

Method Detail

### addRect

    public void addRect(java.awt.Rectangle r,
                        LineArea lineArea)

### setYOffset

    public void setYOffset(int y)

### setXOffset

    public void setXOffset(int x)

### setContentRectangleWidth

    public void setContentRectangleWidth(int contentRectangleWidth)

### applyAreaContainerOffsets

    public void applyAreaContainerOffsets(AreaContainer ac,
                                          Area area)

### mergeLinks

    public void mergeLinks()

### align

    public void align()

### getDest

    public java.lang.String getDest()

### getRects

    public java.util.Vector getRects()

### getEndIndent

    public int getEndIndent()

### getStartIndent

    public int getStartIndent()

### getArea

    public Area getArea()

### getLinkType

    public int getLinkType()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.